import * as React from 'react';
import { mount } from 'enzyme';
import { withNotie } from '../withNotie';
function TestComponent(_) {
    return React.createElement("div", { className: "test" });
}
const WithNotieComponent = withNotie(TestComponent);
describe('withNotie', () => {
    test('passes notie as props', () => {
        const consumer = mount(React.createElement(WithNotieComponent, null));
        const props = consumer.find(TestComponent).props();
        expect(Object.keys(props.notie)).toEqual([
            'confirm',
            'error',
            'info',
            'success',
            'warn',
            'force'
        ]);
    });
});
