"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var enzyme_1 = require("enzyme");
var withNotie_1 = require("../withNotie");
function TestComponent(_) {
    return React.createElement("div", { className: "test" });
}
var WithNotieComponent = withNotie_1.withNotie(TestComponent);
describe('withNotie', function () {
    test('passes notie as props', function () {
        var consumer = enzyme_1.mount(React.createElement(WithNotieComponent, null));
        var props = consumer.find(TestComponent).props();
        expect(Object.keys(props.notie)).toEqual([
            'confirm',
            'error',
            'info',
            'success',
            'warn',
            'force'
        ]);
    });
});
